Bug 5198 - file неработоспособен после компиляции magic файлов
: file неработоспособен после компиляции magic файлов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/file)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5168
:
  Show dependency tree
 
Reported: 2004-09-10 10:12 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-10 10:12:48
Утилита file оказывается сломана после перекомпиляции идущих в поставке magic
файлов.

Это происходит из-за того, что file по умолчанию компилирует все magic файлы,
при которые он знает. 

А т.к. у нас в /etc/magic ничего нет, то наличие пустого magic.mgc файла в
/etc/
ломает работоспособность file.

По идее необходимо сделать так, что бы пустой (он не совсем конечно пустой, но
работающих записей в нем нет) файл /etc/magic.mgk игнорировался утилитой file.

Подозреваю что ошибка кроется где-то в районе загрузки mgc файлов или их
анализа.
Steps to Reproduce:
1.под рутом: file aaa.gz 
aaa.gz: gzip compressed data, was "aaa", from Unix
2. file -C
3. file aaa.gz 
aaa.gz: ERROR: invalid type 0 in mconvert()


Actual Results:  
file aaa.gz 
aaa.gz: gzip compressed data, was "aaa", from Unix
------- Comment #1 From 2004-10-17 21:02:52 -------
Fixed in file-4.10-alt1.